/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.insurance.Medicare;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface MedicareMetaData
    extends InsurancePolicyMetaData
{
    public Medicare getEntity();

    public void setEntity(Medicare entity);

    public String getEnrolledInPartA();

    public String getEnrolledInPartB();

    public String getMedicareClaimNumber();

    public String getPartAEffectiveDate();

    public String getPartBEffectiveDate();
}